# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/i2c/apm,xgene-slimpro-i2c.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene SLIMpro Mailbox I2C

maintainers:
  - Khuong Dinh <khuong@os.amperecomputing.com>

description:
  An I2C controller accessed over the "SLIMpro" mailbox.

allOf:
  - $ref: /schemas/i2c/i2c-controller.yaml#

properties:
  compatible:
    const: apm,xgene-slimpro-i2c

  mboxes:
    maxItems: 1

required:
  - compatible
  - mboxes

unevaluatedProperties: false

examples:
  - |
    i2c {
        compatible = "apm,xgene-slimpro-i2c";
        mboxes = <&mailbox 0>;
    };
